%define version 0.4.2
%define name kfirewall
%define prefix %{_prefix}

Name: %{name}
Summary: GUI for Ipchains
Summary(fr): Interface graphique pour Ipchains
Version: %{version}
Release: 7mdk
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
Patch0: %{name}-%{version}.patch.bz2
URL: http://megaman.ypsilonia.net/kfirewall/
Group: System/Configuration/Networking
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt >= 1.40 kdelibs kdesupport rpm > 3.0 libstdc++ > 2.8.0
Prefix: %{prefix}

%description
Kfirewall is a small GUI application which allows you to handle ipchains rules.
You can add/del rules and flush. This application must be run as root to have
any effect. Only the super user can change the ipchains rules.

%description -l fr
Kfirewall est une interface graphique qui permet de manipuler les regles de
Ipchains (firewall). Vous pouvez ajouter/supprimer des regles tres facilement.
Seul le root peut modifier les regles de ipchains.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find . -name \*.o | xargs rm -f
find . -name \*.moc | xargs rm -f
find . -name .deps | xargs rm -fr

%patch0 -p1

%build
export KDEDIR=/usr
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/default
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applnk/Internet
mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/kde/HTML/default/kfirewall
mkdir -p $RPM_BUILD_ROOT/bin

install -m755 scripts/getip $RPM_BUILD_ROOT/bin
install -m755 scripts/getnetmask $RPM_BUILD_ROOT/bin
install -m755 scripts/getloop $RPM_BUILD_ROOT/bin
install -m644 play.xpm $RPM_BUILD_ROOT%{prefix}/share/icons
install -m644 stop.xpm $RPM_BUILD_ROOT%{prefix}/share/icons
install -m755 kfirewall $RPM_BUILD_ROOT%{prefix}/bin
install -m644 kfirewall.kdelnk $RPM_BUILD_ROOT%{prefix}/share/applnk/Internet
install -m755 docs/index.html $RPM_BUILD_ROOT%{prefix}/doc/kde/HTML/default/kfirewall

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{prefix}/share/icons/stop.xpm
%{prefix}/share/icons/play.xpm
%{prefix}/bin/kfirewall
%{prefix}/share/applnk/Internet/kfirewall.kdelnk
%{prefix}/doc/kde/HTML/default/kfirewall/
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm
/bin/getip
/bin/getloop
/bin/getnetmask

%changelog
* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-7mdk
- patched menu entry, added 32x32 icon

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-6mdk
- added icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-5mdk
- fixed install directory structure

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-4mdk
- new groups
- fixed url
- menu entry
- patched source so that it can actually build!

* Tue Aug 10 1999 Emmanuel Pare <ep@linux-mandrake.com>

- Make little change in the spec file.

* Sat Jul 31 1999 Emmanuel Pare <ep@linux-mandrake.com>

- Corrected the spec file (dont use anymore the make install)

* Fri Jul 30 1999 Emmanuel Pare <ep@linux-mandrake.com>
- 0.4.2
- Initial Mandrake RPM Release.

